function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
pdetool('snapon','on');
set(ax,'DataAspectRatio',[1 1 1]);
set(ax,'PlotBoxAspectRatio',[1024 664.46222222222218 221.4874074074074]);
set(ax,'XLimMode','auto');
set(ax,'YLim',[-1 5]);
set(ax,'XTick',[ -1,...
 -0.5,...
 0,...
 0.5,...
 1,...
 1.5,...
 2,...
 2.5,...
 3,...
 3.5,...
 4,...
 4.5,...
 5,...
 5.5,...
 6,...
]);
set(ax,'YTick',[ -1,...
 -0.5,...
 0,...
 0.5,...
 1,...
 1.5,...
 2,...
 2.5,...
 3,...
 3.5,...
 4,...
 4.5,...
 5,...
]);
pdetool('gridon','on');

% Geometry description:
pderect([0 5 3 0.5],'R1');
pderect([0.5 4.5 3.5 0],'R2');
pdecirc(0.5,3,0.5,'C1');
pdecirc(0.5,0.5,0.5,'C2');
pdecirc(4.5,0.5,0.5,'C3');
pdecirc(4.5,3,0.5,'C4');
pdecirc(1.5,2.5,0.5,'C5');
pdecirc(1.5,1,0.5,'C6');
pdecirc(3.5,1.5,0.5,'C7');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','(R1+R2+C1+C2+C3+C4)-C5-C6-C7')

% Boundary conditions:
pdetool('changemode',0)
pdetool('removeb',[4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 20 21 22 23 24 25 26 27 28 29 32 33 34 35 37 38 39 40 42 ]);
pdesetbd(20,...
'neu',...
1,...
'0',...
'0')
pdesetbd(19,...
'neu',...
1,...
'0',...
'0')
pdesetbd(18,...
'neu',...
1,...
'0',...
'0')
pdesetbd(17,...
'neu',...
1,...
'0',...
'0')
pdesetbd(16,...
'neu',...
1,...
'0',...
'0')
pdesetbd(15,...
'neu',...
1,...
'0',...
'0')
pdesetbd(14,...
'neu',...
1,...
'0',...
'0')
pdesetbd(13,...
'neu',...
1,...
'0',...
'0')
pdesetbd(12,...
'neu',...
1,...
'0',...
'0')
pdesetbd(11,...
'neu',...
1,...
'0',...
'0')
pdesetbd(10,...
'neu',...
1,...
'0',...
'0')
pdesetbd(9,...
'neu',...
1,...
'0',...
'0')
pdesetbd(8,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(7,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(6,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(5,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(4,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(3,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(2,...
'dir',...
1,...
'1',...
'x.*x')
pdesetbd(1,...
'dir',...
1,...
'1',...
'x.*x')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
pdetool('initmesh')
pdetool('refine')

% PDE coefficients:
pdeseteq(1,...
'1.0',...
'0',...
'0',...
'1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0';...
'0  ';...
'0  ';...
'1.0'])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','1236','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 8 1 0 1 0 1 1 0 1 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');
